/*            */
/* Steven Bickerton */
/* Dept. of Physics/Astronomy, McMaster University */
/* bick@physics.mcmaster.ca*/
/* Made with makeScript, Wed Sep  6, 2006  17:16:45 DST */
/* Host: kuiper */
/* Working Directory: /home/bickersj/sandbox/rmsC  */

#include <stdlib.h>
#include <stdio.h>

#include "stats.h"
#include "util.h"

int main(int argc, char *argv[])
{
    int i,j;
    char *file, *statname[NSTATS];

    ARRAY data;
    ARRAY *datap = &data;

    if ( argc < 2 ) {
      fprintf(stderr, "Usage: %s file\n", argv[0]);
      exit (EXIT_FAILURE);
    } else {
      file = argv[1];
    }

    // ---------------   read in the data ---------------//
    loadFile(file, datap);
    
    if (datap->columns==0)
      errQuit("No columns of data.  Exiting.\n");
    
    // -----------------  get the stats  ----------------//
    STAT stats[datap->columns];
    getStatNames(statname);
    for (j=0; j<datap->columns; j++)
      stats[j] = getStats(datap->x[j], datap->n[j]);
    
    freeArray2D(datap); // free memory for datap

    // print column headings
    printf ("# %6s ","");
    for (j=0; j<datap->columns; j++)
      printf ("%12d ", j+1);
    printf ("\n");

    // print the stats
    for (i=0; i<NSTATS; i++) {
      printf ("%-8s ", statname[i]);
      for (j=0; j<datap->columns; j++) {
	printf ("%+12.5g ", stats[j].all[i]);
      }
      printf ("\n");
    }
    
    return 0;
}


