#!/usr/bin/env bash

set -x

NMIN=10    # minimum number of values to bother computing ws statistic
CELL=0.3   # in degrees

# uncomment this line to turn-on profiling and see which stage is most
# time-consuming
#export TASSPROFILE=1

FILES="i_163"

for FILE in $FILES;
  do

  ./welchStetson.pl ${FILE} $NMIN       # produces ${FILE}.ws 
  
  ./recalibrate.pl ${FILE} $CELL        # produces ${FILE}.rcal
  ./welchStetson.pl ${FILE}.rcal $NMIN  # produces ${FILE}.rcal.ws
  
done

# .ws files have columns as follows:
# 1   2   3   4      5      6       7
# ID  N  RA Dec  Vmean  Imean  WSindex

# plot 5 vs 7 to see the ws statistics